Journal Licences supplémentaires pour Qt

Posté par .
Tags : aucun
0
8
août
2007
Bonjour journal,

La dernière mouture de Qt vient de sortir. Poétiquement nommée 4.3.1, elle apporte comme à son habitude son lot de bugs corrigés et d'optimisations. Cependant une amélioration d'un autre ordre, sans doute d'une portée bien plus importante à long terme, est arrivée : Qt autorise des exceptions à la GPL. Plus clairement un projet n'est plus obligé d'être sous GPL pour utiliser Qt. Bien entendu cela se limite à des licences libres, dont la liste est diponibles sur le site de trolltech : http://trolltech.com/products/qt/gplexception . Voilà une excuse de moins pour ceux qui ne veulent pas utiliser Qt. :)
  • # Recul

    Posté par . Évalué à 7.


    Cependant une amélioration d'un autre ordre, sans doute d'une portée bien plus importante à long terme, est arrivée : Qt autorise des exceptions à la GPL. Plus clairement un projet n'est plus obligé d'être sous GPL pour utiliser Qt. Bien entendu cela se limite à des licences libres,


    <mode humour >

    BSD Fanboy : -Enfin du QT sous BSD ! ça c'est une avancé !
    GPL fanboy: - C'est pas une avancé c'est un recul !!

    </mode humour >
  • # Question

    Posté par . Évalué à 4.

    Je suis pas très doué en licences, mais qu'est qui empêche de faire une lib libqt-bsd dont le code source se limite en gros à

    class QBSDWindow: public QWindow { }
    ...
    class QBSDLabel: public QLabel {}

    puis de faire de faire du propriétaire à partir de cette lib et de dire "meuh non, je respecte la licence de la lib que j'utilise"

    (rangez vos trolls, c'est juste une question)
    • [^] # Re: Question

      Posté par (page perso) . Évalué à 4.

      Salut,

      Je crois que tu auras le droit d'utiliser ta libqt-bsd dans un logiciel propriétaire mais au travers de cette lib tu utilises également la lib de trolltech.
      Donc tu link à une librairie bsd qui est lynké à une librairie trolltech.
      Donc tu te link indirectement à la biblio trolltech, donc c'est pas possible.

      C'est comme ca que je vois les choses.

      my 2 cents
    • [^] # Re: Question

      Posté par . Évalué à 1.

      Ben pour fonctionner ta lib libqt-bsd doit être liée à Qt

      Donc tu dois respecter la license de Qt: GPL ou Propriétaire...

      Et donc, avant ça voulait dire GPL only, maintenant c'est un peu plus souple
    • [^] # Re: Question

      Posté par . Évalué à 9.

      qu'est qui empêche de faire une lib libqt-bsd
      La raison.
  • # QPL

    Posté par (page perso) . Évalué à 5.

    En fait, Qt passe d'une double licence GPL + QPL à une licence GPL avec des exceptions.

    Les exceptions sont là pour traduire ce qui vient de la QPL qui est important pour trolltech

    Bref, pas grand chose ne change si ce n'est la façon dont c'est présenté
  • # Swt-QT?

    Posté par . Évalué à 1.

    Est ce que cela veut dire qu'une implementation swt sur QT va enfin être possible et permettre d'avoir un eclipse reposant sur Qt?
    (Désolé je n'y connais pas grand chose en licence)
    • [^] # Re: Swt-QT?

      Posté par . Évalué à 2.

      D'après les commentaires sur http://dot.kde.org/1186578575/ il semblerait que cela ne soit pas possible pour le moment. Reste à savoir si c'est un oubli de la part de Trolltech ou bien si c'est volontaire.
      • [^] # Re: Swt-QT?

        Posté par . Évalué à 3.

        SWT porté sous QT enleverait un peu d'intêret à QT Jambi.
        Mais je crois que Trolltech ne craint pas la concurrence et qu'il s'agit d'un oubli.

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.